#ifndef LOG_FUEL_RULE_HPP_
#define LOG_FUEL_RULE_HPP_

#include <FuelRule/FuelRule.hpp>

/**
 * @brief Fuel rule applying to any type of log.
 */
class LogFuelRule : public FuelRule
{
public:
    virtual bool isValidFuel(ItemStack &stack) override;
    virtual uint32_t getFuelAmount(ItemStack &stack) override;
};

#endif